Brivio API reference
Saft

List the parts a SAF-T generation is filed as, in part order (scope: saft:read)

GET
/saft/generations/{id}/submissions

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

SAF-T generation id

Formatuuid

Response Body

OK

application/json
  1. response
data*
error*null
curl -X GET "https://example.com/saft/generations/497f6eca-6276-4993-bfeb-53cbbbba6f08/submissions"
{  "data": {    "generation_id": "a3c889df-e7ae-4ae9-9838-8884129ade5e",    "submissions": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "generation_id": "a3c889df-e7ae-4ae9-9838-8884129ade5e",        "part_number": 0,        "part_count": 0,        "status": "draft",        "sections": [          {            "section": "string",            "count": 0          }        ],        "xml_sha256": "string",        "xml_bytes": 0,        "has_file": true,        "upload_index": "string",        "declaration_receipt_id": "74e1f30f-d589-4436-96f0-12d7acf87095",        "submitted_at": "2019-08-24T14:15:22Z",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      }    ]  },  "error": null}